Bug 997563 - not able to add note with pulp-admin consumer update
not able to add note with pulp-admin consumer update
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.2 Beta
Unspecified Unspecified
low Severity unspecified
: ---
: 2.3.0
Assigned To: Barnaby Court
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 11:41 EDT by Preethi Thomas
Modified: 2013-12-09 09:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-15 11:41:26 EDT
Description of problem:

not able to add note pulp-admin consumer update command

Version-Release number of selected component (if applicable):
[root@ibm-x3650m4-02-vm-03 ~]# rpm -qa pulp-server
pulp-server-2.2.0-0.25.beta.el6.noarch
[root@ibm-x3650m4-02-vm-03 ~]# 


How reproducible:


Steps to Reproduce:
[root@ibm-x3650m4-02-vm-03 ~]# pulp-admin consumer update  --consumer-id f19-client --display-name "F19 client" --description "F19 consumer" --note consumer=f19-client
Notes must be specified in the format key=value

[root@ibm-x3650m4-02-vm-03 ~]# pulp-admin consumer update  --consumer-id f19-client --display-name "F19 client" --description "F19 consumer" --note "key=value"
Notes must be specified in the format key=value

[root@ibm-x3650m4-02-vm-03 ~]# 


[root@ibm-x3650m4-02-vm-03 ~]# pulp-admin consumer update 
Command: update
Description: changes metadata on an existing consumer

Available Arguments:

  --display-name - user-readable display name (may contain i18n characters)
  --description  - user-readable description (may contain i18n characters)
  --note         - adds/updates/deletes notes to programmatically identify the
                   resource; key-value pairs must be separated by an equal sign
                   (e.g. key=value); multiple notes can be changed by specifying
                   this option multiple times; notes are deleted by specifying
                   "" as the value
  --consumer-id  - (required) unique identifier; only alphanumeric, ., -, and _
                   allowed


Actual results:


Expected results:


Additional info:
Comment 1 Barnaby Court 2013-09-09 16:46:26 EDT
Preethi, what version of okaara was installed on that machine?  I attempted to duplicate while running python-okaara-1.0.32-1.fc18.noarch and was unable to.
Comment 2 Preethi Thomas 2013-09-09 17:56:36 EDT
[root@pulp-v2-server ~]# pulp-consumer -u admin -p admin register  --consumer-id test
Consumer [test] successfully registered

[root@pulp-v2-server ~]# pulp-admin consumer update  --consumer-id test
Consumer [ test ] successfully updated

[root@pulp-v2-server ~]# pulp-admin consumer update  --consumer-id test --note consumer=f19-client
Notes must be specified in the format key=value

[root@pulp-v2-server ~]# rpm -qa python-okaara
python-okaara-1.0.32-1.el6.noarch
[root@pulp-v2-server ~]#
Comment 3 Barnaby Court 2013-09-10 11:29:38 EDT
I was able to verify this defect in the 2.2 build but was unable to verify in the 2.3 master branch.  This appears to be fixed already
Comment 4 Jeff Ortel 2013-09-12 18:35:49 EDT
build: 2.3.0-0.10.alpha
Comment 5 Preethi Thomas 2013-09-19 08:25:53 EDT
[root@pulp-v2-server ~]# pulp-admin consumer list
+----------------------------------------------------------------------+
                               Consumers
+----------------------------------------------------------------------+

Id:            pulp-client
Display Name:  pulp-client
Description:   None
Bindings:      
  Confirmed:   puppet-repo, SAM
  Unconfirmed: 
Notes:         


[root@pulp-v2-server ~]# pulp-admin consumer update --consumer-id pulp-client --note "consumer=pulp-client"
Consumer [ pulp-client ] successfully updated

[root@pulp-v2-server ~]# pulp-admin consumer list
+----------------------------------------------------------------------+
                               Consumers
+----------------------------------------------------------------------+

Id:            pulp-client
Display Name:  pulp-client
Description:   None
Bindings:      
  Confirmed:   puppet-repo, SAM
  Unconfirmed: 
Notes:         
  Consumer: pulp-client


[root@pulp-v2-server ~]# rpm -qa pulp-admin-client
pulp-admin-client-2.3.0-0.12.alpha.el6.noarch
[root@pulp-v2-server ~]#
Comment 6 Preethi Thomas 2013-12-09 09:31:23 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.